Class | Vmail::MessageFormatter
In: | lib/vmail/message_formatter.rb
Parent: | Object

### Methods

encoding extract_headers find_text_or_html_part format_html_body format_part format_text_body list_parts new process_body utf8

### Public Class methods

new(mail, uid = nil)

initialize with a Mail object

### Public Instance methods

encoding()
extract_headers(mail = @mail)
find_text_or_html_part(parts = @mail.parts)
format_html_body(part)

depend on lynx or whatever is set by the VMAIL_HTML_PART_READER variable

format_part(part)
format_text_body(part)
list_parts(parts = (@mail.parts.empty? ? [@mail] : @mail.parts))
process_body(target = @mail)
utf8(string, this_encoding = encoding)

[Validate]